package com.example.demo.product.controller;

import com.example.demo.annotation.NonLoginRequired;
import com.example.demo.product.dto.TrainDto;
import com.example.demo.product.service.impl.*;
import com.example.demo.user.vo.ResultVo;
import org.apache.http.HttpResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/product")
public class ProductController {
    @Autowired
    private ProductServiceImpl productService;
    @Autowired
    private ProductFlightServiceImpl productFlightService;
    @Autowired
    private ProductHotelServiceImpl productHotelService;
    @Autowired
    private ProductTicketServiceImpl productTicketService;
    @Autowired
    private ProductTrainServiceImpl productTrainService;
//    @NonLoginRequired
//    @RequestMapping("/syncDataToEs")
//    public ResultVo syncDataToEs() {
//        return productService.syncDataToEs();
//    }

//    @NonLoginRequired
//    @RequestMapping("/getProductList")
//    public ResultVo getProductList(@RequestHeader("token") String token) {
//        return productService.getProductList(token);
//    }
//    @NonLoginRequired
//    @RequestMapping("/flightSyncDataToEs")
//    public ResultVo FlightSyncDataToEs(){
//        return productFlightService.flightSyncDataToEs();
//    }
//    @NonLoginRequired
//    @RequestMapping("/getFlightList")
//    public ResultVo getFlightList(@RequestHeader("token") String token) {
//        return productFlightService.getFlightList(token);
//    }
    @NonLoginRequired
    @RequestMapping("/getFlight")
    public ResultVo getFlight(@RequestHeader("token") String token,  String endCity, String endDate,String startCity, String startDate){
        return productFlightService.getFlight(token, endCity, endDate,startCity, startDate);
    }
//    @NonLoginRequired
//    @RequestMapping("/hotelSyncDataToEs")
//    public ResultVo hotelSyncDataToEs(){
//        return productHotelService.hotelSyncDataToEs();
//    }
//    @NonLoginRequired
//    @RequestMapping("/getHotelList")
//    public ResultVo getHotelList(@RequestHeader("token") String token) {
//        return productHotelService.getHotelList(token);
//    }
//    @NonLoginRequired
//    @RequestMapping("/ticketSyncDataToEs")
//    public ResultVo ticketSyncDataToEs(){
//        return productTicketService.ticketSyncDataToEs();
//    }
//    @NonLoginRequired
//    @RequestMapping("/getTicketList")
//    public ResultVo getTicketList(@RequestHeader("token") String token) {
//        return productTicketService.getTicketList(token);
//    }

    //查询火车票
    @NonLoginRequired
    @RequestMapping("/getTrain")
    public ResultVo getTrain(@RequestHeader("token") String token, String start, String end, String date){
        return productTrainService.getTrain(token, start, end, date);
    }
//    @NonLoginRequired
//    @RequestMapping("/trainSyncDataToEs")
//    public ResultVo trainSyncDataToEs(){
//        return productTrainService.trainSyncDataToEs();
//    }
//    @NonLoginRequired
//    @RequestMapping("/getTrainList")
//    public ResultVo getTrainList(@RequestHeader("token") String token) {
//        return productTrainService.getTrainList(token);
//    }
}
