package com.example.demo.user.service;

import com.example.demo.user.domain.User;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.demo.user.dto.LoginDto;
import com.example.demo.user.dto.PerfectDto;
import com.example.demo.user.dto.PhoneDto;
import com.example.demo.user.dto.RegisterDto;
import com.example.demo.user.vo.ResultVo;

/**
* @author 徐乐
* @description 针对表【user(用户基础信息表)】的数据库操作Service
* @createDate 2025-06-04 17:31:35
*/
public interface UserService extends IService<User> {

    ResultVo register(RegisterDto dto);

    ResultVo login(LoginDto dto);

    ResultVo phoneLogin(PhoneDto dto);

    ResultVo forget(RegisterDto dto);

    ResultVo logout(String token);

    ResultVo perfect(String token,PerfectDto dto);
}
